package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.*;

@ApiModel("管理后台 - 溯源模板创建 Request VO")
@Data
public class TraceTemplateCreateReqVO {

    @ApiModelProperty(value = "模板名称")
    @NotBlank(message = "模板名称不能为空")
    @Length(max = 32, message = "模板名称最长32个字符")
    private String templateName;

    @ApiModelProperty(value = "商品编码", required = true)
    @NotNull(message = "商品编码不能为空")
    private String goodsId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

}
